> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Phone Number

> Means of Identifications



## OpenAPI

````yaml /openapi/identity.json post /kyc/phone-{type}
openapi: 3.0.2
info:
  title: Flick Identity API
  description: 'This is a sample API Document for Flick services '
  termsOfService: http://swagger.io/terms/
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For Identity check using Flick
security:
  - bearerAuth: []
tags:
  - name: Individuals(KYC)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Businesses(KYB)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Biometrics
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /kyc/phone-{type}:
    post:
      tags:
        - Individuals(KYC)
      summary: Phone Number
      description: Means of Identifications
      operationId: check phone number
      parameters:
        - in: path
          name: type
          required: true
          schema:
            type: string
            enum:
              - basic
              - advance
          description: The type of phone number (basic or advance)
      requestBody:
        description: Checking for Phone Identification
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Phone'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneResponse'
        '405':
          description: Invalid input
      security:
        - bearerAuth: []
components:
  schemas:
    Phone:
      required:
        - phone_number
      type: object
      properties:
        phone_number:
          type: string
          example: '0901111222'
      xml:
        name: phone
    PhoneResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Customer identity fetched successfully
        data:
          type: object
          properties:
            identity:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    phone_1:
                      type: string
                      example: '070112211222'
                    image:
                      type: string
                      example: https://dv2.cloudfront.net
                    firstname:
                      type: string
                      example: user FirstName
                    full_details:
                      type: object
                      properties:
                        email:
                          type: string
                          example: '@gmail.com'
                        date_of_birth:
                          type: string
                          example: 2023-1-31
                        last_name:
                          type: string
                          example: Kingsley
                        msisdn:
                          type: string
                          example: '090111122'
                        middle_name:
                          type: string
                          example: Flick
                        first_name:
                          type: string
                          example: Kings
                        phone_number1:
                          type: string
                          example: '08111222000'
                        gender:
                          type: string
                          example: male
                    middlename:
                      type: string
                      example: user mddleName
                    lastname:
                      type: string
                      example: user LastName
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.